

# ListDeploymentEvents


Lists the events of a deployment.

## Request Syntax


```
POST /listDeploymentEvents HTTP/1.1
Content-type: application/json

{
   "deploymentId": "string",
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [deploymentId](#API_ListDeploymentEvents_RequestSyntax) **   <a name="launchwizard-ListDeploymentEvents-request-deploymentId"></a>
The ID of the deployment.  
Type: String  
Length Constraints: Minimum length of 2. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-]+`   
Required: Yes

 ** [maxResults](#API_ListDeploymentEvents_RequestSyntax) **   <a name="launchwizard-ListDeploymentEvents-request-maxResults"></a>
The maximum number of items to return for this request. To get the next page of items, make another request with the token returned in the output.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 100.  
Required: No

 ** [nextToken](#API_ListDeploymentEvents_RequestSyntax) **   <a name="launchwizard-ListDeploymentEvents-request-nextToken"></a>
The token returned from a previous paginated request. Pagination continues from the end of the items returned by the previous request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "deploymentEvents": [ 
      { 
         "description": "string",
         "name": "string",
         "status": "string",
         "statusReason": "string",
         "timestamp": number
      }
   ],
   "nextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [deploymentEvents](#API_ListDeploymentEvents_ResponseSyntax) **   <a name="launchwizard-ListDeploymentEvents-response-deploymentEvents"></a>
Lists the deployment events.  
Type: Array of [DeploymentEventDataSummary](API_DeploymentEventDataSummary.md) objects

 ** [nextToken](#API_ListDeploymentEvents_ResponseSyntax) **   <a name="launchwizard-ListDeploymentEvents-response-nextToken"></a>
The token to include in another request to get the next page of items. This value is `null` when there are no more items to return.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
An internal error has occurred. Retry your request, but if the problem persists, contact us with details by posting a question on [re:Post](https://repost.aws/).  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified workload or deployment resource can't be found.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/launch-wizard-2018-05-10/ListDeploymentEvents) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/launch-wizard-2018-05-10/ListDeploymentEvents) 